# Contributing to SheetyColors
We love your input! We want to make contributing to this project as easy and transparent as possible, whether it's:

- Reporting a bug
- Discussing the current state of the code
- Submitting a fix
- Proposing new features
- Becoming a maintainer
- Tell your friends about it or leave a star

## We develop with GitHub
We use Github to host code, to track issues and feature requests, as well as accept pull requests.

## Add code changes
Pull requests are the best way to propose changes to the codebase (we use [Gitflow](https://www.atlassian.com/git/tutorials/comparing-workflows/gitflow-workflow)). We actively welcome your pull requests:

1. Fork the repo and create your branch from `develop`.
2. If you've added code that should be tested, add unit tests (we use [Quick](https://github.com/Quick/Quick) and [Nimble](https://github.com/Quick/Nimble)).
3. If you've changed APIs, update the code documentation and run the `Scripts/release.sh` from the project's root to re-generate the jazzy-docs.
4. Ensure the test suite passes.
5. Extend the example projects for all platforms to showcase your feature.
6. Make sure your code lints. Please run the `Scripts/setup.sh` from the project's root to install the required tools.
7. Issue that pull request!

## Report bugs
We use GitHub issues to track public bugs. Report a bug by [opening a new issue](https://github.com/chrs1885/SheetyColors/issues/new?template=BUG_REPORT.md) and fill out the provided template. It's that easy!

## Submit feature requests
You can [open a new issue](https://github.com/chrs1885/SheetyColors/issues/new?template=FEATURE_REQUEST.md) to file feature requests. Again, please stick with the provided template.

## License
By contributing, you agree that your contributions will be licensed under its MIT License.

## References
This document was adapted from [briandk](https://gist.github.com/briandk/3d2e8b3ec8daf5a27a62)
