**PROTOCOL**

# `SheetyColorsConfigProtocol`

```swift
public protocol SheetyColorsConfigProtocol
```

> A protocol defining all options that can be used for configuring a SheetyColors view.

## Properties
### `alphaEnabled`

```swift
var alphaEnabled: Bool
```

> Defines whether an opacity slider should be displayed or not.

### `hapticFeedbackEnabled`

```swift
var hapticFeedbackEnabled: Bool
```

> Defines whether haptic feedback is supported when changing a slider's value.

### `initialColor`

```swift
var initialColor: UIColor
```

> The initial color used when displaying the SheetyColors view.

### `title`

```swift
var title: String
```

> A title text displayed inside the SheetyColors view.

### `type`

```swift
var type: SheetyColorsType
```

> The color model used by the SheetyColors view.
